Show more

Use to navigate results, ENTER to select one, ESC to close

Type in any word to easily find the endpoint, property or group of operations you are looking for.

API changelog
Download source
  • JSON OpenAPI specification
  • YAML OpenAPI specification
CloudCockpit logo
CSP
  • CSP default
  • Customer
  • Reseller

Topics

  • Introduction
  • Authentication
  • Getting Started
  • Authentication Guide

Endpoints

  • AuditLogs
    • List all audit logs GET
  • Customers
    • List all customers GET
    • Create a customer POST
    • Retrieve a customer GET
    • Deletes a customer from the portal. DELETE
    • Validate a customer Microsoft domain GET
    • Validate a customer address GET
    • Update a customer internal identifier PATCH
    • Update a customer account info PATCH
    • Updates a customer margins PATCH
    • Updates a Customer Microsoft domain PATCH
    • Retry Creation of a Provider Customer POST
    • Updates a Customer Microsoft Qualification PATCH
    • List all Customer users GET
    • Create a customer user POST
    • Gets all user roles of a customer. GET
    • List all licenses for a customer GET
    • List all domains for a customer GET
    • Retrieve Microsoft Customer Agreements GET
    • Gets the count of Microsoft Customer Agreements grouped by status GET
    • List the roles of a customer user. GET
    • Updates the roles of a customer user PATCH
    • List all license sku Ids for a Customer user GET
    • Updates a customer user licenses PATCH
    • Retrieve a Customer user GET
    • Delete a Customer user DELETE
    • Updates a customer user info PATCH
    • Resets a customer user password PATCH
    • Add provider instance to customer. POST
    • Removes Reseller Relationship with a customer on a specific provider instance. DELETE
    • Get customer MCA GET
    • Manually refresh customer MCA status POST
    • Start customer MCA attestation POST
    • Create customer MCA agreement POST
  • Gdap
    • List all GDAP relationships for a customer GET
    • Create a delegated admin relationship for a given customer POST
    • Create a delegated admin relationship POST
    • Get access assignments of a delegated admin relationship GET
    • Create access assignment POST
    • Retrieve relationship acceptance link for a Customer GET
    • Terminate a delegated admin relationship POST
    • Update a customer relationship PATCH
  • Invoices
    • Gets all the invoice one time line items of an invoice, using pagination. GET
    • Gets all the invoice usage line items of an invoice, using pagination. GET
    • Gets the invoices. GET
    • Gets all the invoice license line items of an invoice, using pagination. GET
    • Gets all the invoice daily rated usage line items of an invoice, using pagination. GET
    • Gets all the invoice one time line items of an invoice for a customer, using pagination. GET
    • Gets all the invoice license line items of an invoice for a customer, using pagination. GET
  • Offers
    • List all offers GET
    • Retrieve an offer GET
  • Orders
    • Create an Order POST
    • List all active Orders GET
  • Providers
    • List all Provider Instances GET
  • Resellers
    • List all Resellers GET
    • Create a Reseller POST
    • Retrieve a reseller GET
    • Updates a Reseller margins PATCH
    • Retrieve a Reseller mpn profile GET
    • Retrieve an Indirect Reseller relationship GET
    • Retrieve a Reseller Microsoft Partner Agreement Signature Status GET
    • Update a Reseller internal identifier PATCH
    • Update a Reseller account info PATCH
    • Update a Reseller secondary mpnIds PATCH
    • Add a provider instance to the given reseller. POST
  • Subscriptions
    • List all customer Subscriptions GET
    • Retrieve a Subscription GET
    • Cancel a Subscription. DELETE
    • Update a Subscription PATCH
    • Suspend a Subscription. POST
    • Reactivate a Subscription. POST
    • Update a Subscription price margin PATCH
    • Update a Subscription internal id PATCH
    • Update a Subscription PO number PATCH
    • List all azure entitlements Subscriptions GET
    • Update a Subscription reseller PATCH
    • List Subscription eligible transitions GET
    • List eligible Subscriptions for upgrade GET
    • Get the destination offer for a subscription upgrade, with prices already adjusted for the subscription's margin. GET
    • Upgrade a Subscription POST
    • Update a entitlement Subscription name PATCH
    • List all Subscriptions GET
    • Grants owner access to a Azure entitlement. PUT
    • Set monthly budget for an Azure Subscription PATCH
    • List all Subscriptions end-dates for coterminosity. GET
    • Retrieve Migration status. GET
    • Migrate a subscription. POST
    • List Subscription eligible offers for renewal. GET
  • Users
    • List all Users GET
    • List all Groups GET
    • Create a CSP User POST
    • Delete a User DELETE
    • Updates a User PATCH
    • Create a Reseller User POST
    • List all Users for a Customer GET
    • Create a Customer User POST
Powered by Bump.sh
API changelog
Download source
  • JSON OpenAPI specification
  • YAML OpenAPI specification
CloudCockpit logo

Retrieve relationship acceptance link for a Customer

Ask AI
  • Add to Cursor
  • Add to VSCode
  • Add to other AI tools (MCP)

  • Open in ChatGPT
  • Open in Claude

  • View as Markdown
  • Copy as Markdown

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.cloudcockpit.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "CloudCockpit MCP server": {
    "url": "https://developer.cloudcockpit.com/mcp"
  }
}

Close
GET /v1/Customers/relationship-acceptance
Bearer auth

Gets a link to establish a relationship with a customer. If a resellerId is provided, the relationship is established between the customer and that reseller. Otherwise, the relationship is between the customer and CSP. Available to the roles: csp, reseller

Headers

  • X-Tenant string Required

    The domain used to access the portal.

  • Authorization string Required

    JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

    Default value is Bearer eyJ0eXAiO....

  • X-Correlation-Id string(uuid)

    This header is optional and by setting it you can correlate the audit logs made by this request.

Query parameters

  • providerInstanceId string(uuid) Required

    GUID Unique identifier for the customer.

  • resellerId string(uuid)

    GUID Unique identifier for the reseller. If user is a reseller this property will be auto-populated.

Responses

  • 200
    text/plain
    text/plain application/json text/json

    OK

  • 400
    text/plain
    text/plain application/json text/json

    Bad Request

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404
    text/plain
    text/plain application/json text/json

    Not Found

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

  • 500
    text/plain
    text/plain application/json text/json

    Internal Server Error

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

    Hide response attributes Show response attributes object
    • statusCode integer(int32)

      The HTTP status code that represents a specific error scenario.

    • type string | null

      The type of error that occurred.

    • description string | null

      Describes the error scenario that occurred.

    • correlationId string | null

      The correlationId of the request that originated the error.

    • errors array[object] | null

      A list containing the detail of the errors that occurred in this error scenario.

      Hide errors attributes Show errors attributes object

      This class is used to represent the details of an error and specifies the name of the property and the description of each of the errors associated with that property.

      • propertyName string | null

        The name of the property involved in the error.

      • description array[string] | null

        A description of each error associated with the given property.

GET /v1/Customers/relationship-acceptance
curl \
 --request GET 'https://api.cloudcockpit.com/v1/Customers/relationship-acceptance?providerInstanceId=string' \
 --header "X-Tenant: portal.cloudcockpit.com" \
 --header "Authorization: Bearer eyJ0eXAiO..." \
 --header "X-Correlation-Id: string"
Response examples (200)
string
Response examples (200)
string
Response examples (400)
{
  "statusCode": 42,
  "type": "string",
  "description": "string",
  "correlationId": "string",
  "errors": [
    {
      "propertyName": "string",
      "description": [
        "string"
      ]
    }
  ]
}
Response examples (400)
{
  "statusCode": 42,
  "type": "string",
  "description": "string",
  "correlationId": "string",
  "errors": [
    {
      "propertyName": "string",
      "description": [
        "string"
      ]
    }
  ]
}
Response examples (404)
{
  "statusCode": 42,
  "type": "string",
  "description": "string",
  "correlationId": "string",
  "errors": [
    {
      "propertyName": "string",
      "description": [
        "string"
      ]
    }
  ]
}
Response examples (404)
{
  "statusCode": 42,
  "type": "string",
  "description": "string",
  "correlationId": "string",
  "errors": [
    {
      "propertyName": "string",
      "description": [
        "string"
      ]
    }
  ]
}
Response examples (500)
{
  "statusCode": 42,
  "type": "string",
  "description": "string",
  "correlationId": "string",
  "errors": [
    {
      "propertyName": "string",
      "description": [
        "string"
      ]
    }
  ]
}
Response examples (500)
{
  "statusCode": 42,
  "type": "string",
  "description": "string",
  "correlationId": "string",
  "errors": [
    {
      "propertyName": "string",
      "description": [
        "string"
      ]
    }
  ]
}